Subject: bug#49460: links not clickable in some qt programs (nheko, quaternion)

From: "bdju" <[email-masked]>
Date: Fri, 23 Jul 2021 11:28:44 -0500

On Fri Jul 23, 2021 at 7:40 AM CDT, Tobias Geerinckx-Rice wrote:
> Some programmes have a bug where they save absolute file names
> instead of looking in $PATH every time. That should be fixed upstream.

This seems likely to be the issue. I rebooted in the last week and I
just noticed that links in nheko are working again. That makes me wonder
if updating my packages without restarting my session/computer is what
breaks the links, and then rebooting maybe fixes the functionality again
if it re-saves an absolute file name to the new spot after a reboot.
I just tested quaternion and I can currently open a link from there as
well.
guix (GNU Guix) c170abba4735a2c8a6845063fae8bf090975cbf9
4 days uptime.

One of the nheko devs says nheko doesn't do this, but that it calls a Qt
function. So, this could be a wider Qt issue, or "Qt weirdness", as
raingloom said earlier.